Loading...
Searching...
No Matches
oval_results.h File Reference
OVAL » OVALRES
`#include "oscap.h"`
`#include "oscap_source.h"`
`#include "oval_types.h"`
`#include "oval_system_characteristics.h"`
`#include "oval_directives.h"`
`#include <stdbool.h>`
`#include "oscap_export.h"`
Include dependency graph for oval_results.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

OSCAP_API const char * | oval_result_get_text (oval_result_t)
OSCAP_API struct oscap_source * | oval_results_model_export_source (struct oval_results_model *results_model, struct oval_directives_model *directives_model, const char *name)
| Export OVAL results into oscap_source.
Setters
OSCAP_API void | oval_results_model_set_generator (struct oval_results_model *model, struct oval_generator *generator)
Getters
OSCAP_API struct oval_generator * | oval_results_model_get_generator (struct oval_results_model *model)
OSCAP_API oval_criteria_node_type_t | oval_result_criteria_node_get_type (struct oval_result_criteria_node *)
Evaluators
OSCAP_API int | oval_results_model_eval (struct oval_results_model *)
| Evaluate all result_systems.

## Detailed Description

Author
  "David Niemoller" David.nosp@m..Nie.nosp@m.molle.nosp@m.r@g2.nosp@m.-inc..nosp@m.com